Ubuntu

apport-gpu-error-intel.py keep crashing after login

Reported by Gianfranco Liporace on 2011-02-23
136
This bug affects 31 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Natty
High
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

After login to Unity, a window show that apport-gpu-error-intel.py has crashed. This happens 3 to 4 times but I can work normally after that.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-intel 2:2.14.0-1ubuntu9
ProcVersionSignature: Ubuntu 2.6.38-4.31-generic 2.6.38-rc5
Uname: Linux 2.6.38-4-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.VGA.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x1024 1280x1024 1024x768 1024x768 1024x768 800x600 800x600 640x480 640x480 720x400
 edid-base64: AP///////wAasxQEAQEBARQOAQNoJB146gololdLmSQYUFSlTwCBgAEBAQEBAQEBAQEBAQEBMCoAmFEAKkAwcBMAZx8RAAAeAAAA/QA4Sx9RDgAKICAgICAgAAAA/ABQMTgtMQogICAgICAgAAAA/wBZRUFNMDMxMjkxCiAgAH4=
Date: Wed Feb 23 11:05:21 2011
DistUpgraded: Yes, recently upgraded Log time: 2010-12-15 09:40:41.398077
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: virtualbox-ose-guest, 4.0.4, 2.6.38-4-generic, i686: installed
GraphicsCard:
 Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 0a) (prog-if 00 [VGA controller])
   Subsystem: Fujitsu Technology Solutions Device [1734:10fc]
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: FUJITSU SIEMENS ESPRIMO P3510
ProcEnviron:
 LANGUAGE=it_IT:it:en_GB:en
 LANG=it_IT.UTF-8
 LC_MESSAGES=it_IT.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-4-generic root=UUID=30dec78d-20d2-41ad-b07e-4e638d09d647 ro splash quiet
Renderer: Unknown
SourcePackage: xserver-xorg-video-intel
dmi.bios.date: 08/22/2008
dmi.bios.vendor: FUJITSU SIEMENS // Phoenix Technologies Ltd.
dmi.bios.version: 6.00 R1.04.2750.A2
dmi.board.name: D2750-A2
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: S26361-D2750-A2
dmi.chassis.type: 6
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.modalias: dmi:bvnFUJITSUSIEMENS//PhoenixTechnologiesLtd.:bvr6.00R1.04.2750.A2:bd08/22/2008:svnFUJITSUSIEMENS:pnESPRIMOP3510:pvr:rvnFUJITSUSIEMENS:rnD2750-A2:rvrS26361-D2750-A2:cvnFUJITSUSIEMENS:ct6:cvr:
dmi.product.name: ESPRIMO P3510
dmi.sys.vendor: FUJITSU SIEMENS
version.compiz: compiz 1:0.9.2.1+glibmainloop4-0ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1~git20110215.cc1636b6-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu7
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-1ubuntu9
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu4

Gianfranco Liporace (dr.kabuto) wrote :
Brian Murray (brian-murray) wrote :

The IntelGpuDump key contains command['intel_gpu_dump'] failed with exit code 1: Couldn't probe graphics card: Permission denied.

Brian Murray (brian-murray) wrote :

It seems like that command needs to be run as root.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in xserver-xorg-video-intel (Ubuntu Natty):
milestone: none → natty-alpha-3
Brian Murray (brian-murray) wrote :

Actually apport keeps telling me that apport-gpu-error-intel.py crashed which is rather terrible.

Brian Murray (brian-murray) wrote :

Here's a patch for it too.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.14.0-1ubuntu11

---------------
xserver-xorg-video-intel (2:2.14.0-1ubuntu11) natty; urgency=low

  [Brian Murray]
  * apport-gpu-error-intel.py: intel_gpu_dump must be called with root perms.
    (LP: #723624)
 -- Bryce Harrington <email address hidden> Thu, 24 Feb 2011 18:40:15 -0800

Changed in xserver-xorg-video-intel (Ubuntu Natty):
status: Triaged → Fix Released
Gianfranco Liporace (dr.kabuto) wrote :

Hi all,
I'm sorry to say that this bug is not fixed for me, apport keeps opening crash alerts about apport-gpu-error-intel.py.
Beside that, I can't file a full report clicking on the button "Report this problem" (or similar message) since after a while apport fail to connect to the internet giving me this error: "apport: urlopen error [Errno 110] connection timeout" (probably because I'm behind a proxy server); I will report a bug for this).

On Wed, Mar 02, 2011 at 08:47:07AM -0000, Gianfranco Liporace wrote:
> Hi all,
> I'm sorry to say that this bug is not fixed for me, apport keeps opening crash alerts about apport-gpu-error-intel.py.
> Beside that, I can't file a full report clicking on the button "Report this problem" (or similar message) since after a while apport fail to connect to the internet giving me this error: "apport: urlopen error [Errno 110] connection timeout" (probably because I'm behind a proxy server); I will report a bug for this).
>

Hrm, this doesn't sound too good, can you provide more info to help
isolate a specific error in the script?

Also, this script triggers only when there has been a GPU lockup.
Traditional symptoms for this are a blank screen or screen that doesn't
ever repaint; sometimes the mouse cursor still moves; you have to
powercycle the machine. Have you seen those symptoms?

If not, we have a false-positive bug that a lot of people see, which is
bug #702090, that this might be.

Gianfranco Liporace (dr.kabuto) wrote :

Hi Bryce,
other than apport windows popping up after login, no crash or lockup happens. I can work normally, only few graphical glitches when scrolling windows in gnome-terminal or chromium-browser. I'm definely affected by bug #702090, as you can see looking at the attached dmesg file but with no consequences.

On Wed, Mar 02, 2011 at 09:28:54AM -0000, Bryce Harrington wrote:
> If not, we have a false-positive bug that a lot of people see, which is
> bug #702090, that this might be.

OMG, horrible grammar, must excuse you can.

Brian Murray (brian-murray) wrote :

I think there should be an apport crash file in /var/crash/ with the words gpu error in the file name. If you were to run 'apport-cli - c /var/crash/ ' and that file name we might receive more information in the terminal regarding what the error is. With regards to apport and proxies I believe that bug has already been reported. You can search for it using the following url: http://bugs.launchpad.net/ubuntu/+source/apport. Thanks!

Hi Brian,
I've tried to send a bugreport as you suggested using apport-cli and I was pointed to the existing bug #702090 which I subscribed. Though the fix for this bug isn't affecting my problem, you can close this report.

Jonas Eberle (jonas-eberle) wrote :

I also have apport-gpu-error-intel.py crashing when trying to report (some, not always) GPU bugs.

Jonas Eberle (jonas-eberle) wrote :

When run from the commandline,
/usr/share/apport/apport-gpu-error-intel.py

it exits without any message, but then the known error messagebox appears.

Swarnendu Biswas (swarna-cse) wrote :

Hi,

I faced this error when I tried to enable MapGL on Goolge Maps. After that, I kept getting the apport error notification a few times every time I log into Ubuntu.

I have the exact same error as #15. I tried to enable MapGL on google Maps and after this I get an error where an empty GTK window appears and Apport reports internal error in /usr/share/apport/apport-gpu-error-intel.py

running /usr/share/apport/apport-gpu-error-intel.py from terminal returns no error or output

Sidarth Dasari (sirsid) wrote :

I am also getting the same error as #15 when i use mapsgl and then after reboot I continue to get apport notifications.

Sidarth Dasari (sirsid) wrote :

Hey I think this is the new bug report for this issue. At least for me since I'm running an intel i5 processor/gpu in my laptop

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/966631

Martin Bernát (martin-bernat) wrote :

Also facing this crash not just after login, but also after plugging/unplugging the second monitor. The fix mentioned in the #6 didn't help, running xserver-xorg-video-intel 2:2.17.0-1ubuntu4.

Mario (mario-roessler) wrote :

I also have this issue with my Intel-I7-2600 based PC. The board is a original Intel one.
With Ubuntu and Unity or Gnome (even Gnome in 2D mode) i get random lockups of the complete PC. It does not matter if i do anything or if i just leave the PC alone. If i do not login to Gnome or Unity the PC does not hang.
So i tried XFCE4 and there i do not get any lockup as well. Just from time to time i get the crash of the script mentioned above.
This lets me assume Gnome and Unity cannot handle these GPU lockups but XFCE does. Just the current window hangs for some seconds short before the error message appears.

John John Doe (johnjohndoe) wrote :

I run into the same problem since a while. I followed the advice of Brian Murray and manually applied the patch to the file.
I have to mention that the script is not the same as the patch suggests. Therefore I edited the following line: (see screenshot)

    BEFORE: report['Lspci'] = command_output(['lspci', '-vvnn'])

    AFTER: report['Lspci'] = root_command_output(['lspci', '-vvnn'])

Screenshot: http://postimage.org/image/5ccoasynd/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions